<template lang="pug">
  .flex.flex-col.gap-y-6
    span.font-bold Общая информация
    base-select(
      placeholder="Категория договора",
      v-model="category",
      :items="categories",
      label="Категория"          
    )
    .flex.justify-between.gap-4
      base-input(
        type="date",
        v-model="signedDate",
        label="Дата подписания",
        outlined
      )        
      base-input(
        type="date",
        v-model="startDate",
        label="Начало оказания услуг"
        outlined
      )        
      base-input(
        type="date",
        v-model="endDate",
        label="Окончание оказания услуг"
        outlined
      )         
    base-select(
      placeholder="Поручить",
      v-model="employee",
      :items="employees",
      label="Исполнитель"
    )
</template>

<script>
import BaseStepper from "@/components/base/BaseStepper";
import BaseInput from "@/components/base/BaseInput";
import BaseSelect from "@/components/base/BaseSelect.vue";

export default {
  name: "AgreementCommon",
  components: {
    BaseStepper,
    BaseInput,
    BaseSelect,
  },
  data() {
    return {
      steps: [
        { id: "1", label: "1", value: "Договор" },
        { id: "2", label: "2", value: "Пациент" },
      ],
      category: {},
      categories: [
        { id: "Консультация", label: "Консультация" },
        { id: "Терапия", label: "Терапия" },
        { id: "Хирургия", label: "Хирургия" },
        { id: "Ортопедия", label: "Ортопедия" },
      ],
      signedDate: new Date(),
      startDate: new Date(),
      endDate: undefined,
      employee: {},
      employees: [],
    };
  },
};
</script>
